Find Permission Attributes
post
/access-governance/service-administration/20250331/orchestratedSystems/{orchestratedSystemId}/permissionAttributes
Returns metadata and a set of permissions associated with a given orchestrated system.
Request
Path Parameters
-
orchestratedSystemId(required): string
The unique id for an Orchestrated System. Available values can be found using the ListOrchestratedSystems operation.
Header Parameters
-
opc-request-id: string
The client request ID for tracing. The only valid characters for request IDs are letters, numbers, underscore, and dash.
List of Permissions used to find attributes
Root Schema : OrchestratedSystemPermissionIdCollection
Type:
objectA list of permission ids used to obtain a list of permission attributes.
Show Source
-
items(required):
array items
List of permission ids.
Nested Schema : items
Type:
arrayList of permission ids.
Show Source
-
Array of:
object OrchestratedSystemPermissionId
Id of permission
Nested Schema : OrchestratedSystemPermissionId
Type:
objectId of permission
Show Source
-
id(required):
string
Id of permission
Response
Supported Media Types
- application/json
200 Response
Permission Attributes Metadata
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : OrchestratedSystemAttributes
Type:
objectThe information about Orchestrated System attributes metadata
Show Source
-
items(required):
array items
collection of account & permission attributes
Nested Schema : items
Type:
arraycollection of account & permission attributes
Show Source
-
Array of:
object OrchestratedSystemAttribute
Account & permission attributes
Nested Schema : OrchestratedSystemAttribute
Type:
objectAccount & permission attributes
Show Source
-
accountAttributes:
array accountAttributes
List of Orchestrated System account attributes
-
orchestratedSystem:
object Info
Generic information object.
-
permissionAttributes:
array permissionAttributes
List of Orchestrated System permission attributes
Nested Schema : accountAttributes
Type:
arrayList of Orchestrated System account attributes
Show Source
-
Array of:
object OrchestratedSystemAttributeData
Orchestrated System Attributes
Nested Schema : Info
Type:
objectGeneric information object.
Show Source
-
displayName:
string
Display Name of the entity.
-
id:
string
id of the entity.
-
name:
string
name of the entity.
Nested Schema : permissionAttributes
Type:
arrayList of Orchestrated System permission attributes
Show Source
-
Array of:
object OrchestratedSystemAttributeData
Orchestrated System Attributes
Nested Schema : OrchestratedSystemAttributeData
Type:
objectOrchestrated System Attributes
Show Source
-
children:
array children
nested attributes
-
defaultValues:
array defaultValues
Attribute Value
-
description:
string
A description of the attribute
-
discriminator:
string
this field signify attribute field is password
-
lookupType:
string
LookupID for the attribute
-
name:
string
Attribute name
-
permissionType:
string
Permission Type
-
title:
string
Display Name for the attribute.
-
type:
string
Type of attribute
Nested Schema : children
Type:
arraynested attributes
Show Source
-
Array of:
object NestedAttributes
Nested set of Orchestrated System attributes
Nested Schema : NestedAttributes
Type:
objectNested set of Orchestrated System attributes
Show Source
-
items:
array items
Orchestrated System attributes
Nested Schema : items
Type:
arrayOrchestrated System attributes
Show Source
-
Array of:
object OrchestratedSystemAttributeData
Orchestrated System Attributes
400 Response
Bad Request
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
401 Response
Unauthorized
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
404 Response
Not Found
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
409 Response
Conflict
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
429 Response
Too Many Requests
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
500 Response
Internal Server Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Default Response
Unknown Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Examples
The following example shows how to retrieve permission attributes metadata by submitting a POST request. For example, you need this data for creating an access bundle. Replace placeholder values with actual values before running the sample command.
cURL Request Example
curl -i -X POST \
-H "Authorization:Bearer <your access token>" \
-H "Content-Type:application/json" \
-d \
'{
"items": [
{
"id": "roles.ICF.0ccc9e9b-035f-4d9d-823f-03e70ff7beac.2e189afacb13455fc956c8225f5e6ca1",
"name": "Communications Customer Service Representative"
}]
}' \
'${service-instance-url}/access-governance/service-administration/${versionID}/orchestratedSystems/${orchestratedSystemId}/permissionAttributes'Example Request Payload
In your REST
Client tool, submit the POST
request
${service-instance-url}/access-governance/service-administration/${versionID}/orchestratedSystems/${orchestratedSystemId}/permissionAttributes{
"items": [
{
"id": "roles.ICF.0ccc9e9b-035f-4d9d-823f-03e70ff7beac.2e189afacb13455fc956c8225f5e6ca1",
"name": "Communications Customer Service Representative"
}
}Example of the Response Code
You'll receive 200 OK response along with the following response body:
{
"items": [
{
"orchestratedSystem": {
"id": "0ccc9e9b-035f-4d9d-823f-03e70ff7bxxx",
"name": null,
"displayName": null
},
"accountAttributes": null,
"permissionAttributes": [
{
"name": "roles.ICF.0ccc9e9b-035f-4d9d-823f-03e70ff7bxxx.2e189afacb13455fc956c8225f5e6xxx",
"type": "RepeatableFieldSet",
"title": null,
"description": "A resource that is typically assigned to a contact center to answer customer inquiries and resolve customer problems. Can respond to inquiries such as frequently asked questions, troubleshooting assistance, order status or order entry, or other transactions. This individual usually is assigned to serve a group of customers or support other customer-facing resources to resolve issues. This role will perform Communications industry specific tasks that expand upon and cross over the specialized tasks assigned to existing jobs setup in the core Oracle Fusion Applications.",
"children": [
{
"items": [
{
"name": "securityContextsWithValues",
"type": "String",
"title": "Security context with value",
"description": null,
"children": [],
"lookupType": "securityContextsWithValues",
"defaultValues": [],
"permissionType": null,
"discriminator": null
}
]
}
],
"lookupType": null,
"defaultValues": [
"A7D67DA423D0472AA9507F969C41Bxxx"
],
"permissionType": "roles",
"discriminator": null
}
]
}
]
}